Endpoints
Get Withdraw Transaction
Generates a base64-encoded, serialized unsigned Solana versioned transaction. payer_key is required for transaction generation.
Authorization
api_key x-api-key<token>
In: header
Request Body
application/json
Identify the strategy and base-asset mint, provide either amount in base units or all: true, and include payer_key.
TypeScript Definitions
Use the request body type in TypeScript.
Public transaction request schema for /withdraw/tx, where payer_key is
required even though /withdraw/ix defaults it to user_key.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/withdraw/tx" \ -H "Content-Type: application/json" \ -d '{ "params": { "amount": 1000000, "base_asset": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "payer_key": "GgBaCs3NCBuZN12kCJgAW63ydqohFkHEdfdEXBPzLHq", "strategy_id": "43620ba3-354c-456b-aa3c-5bf7fa46a6d4", "user_key": "GgBaCs3NCBuZN12kCJgAW63ydqohFkHEdfdEXBPzLHq" } }'"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAQAAAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgIAAA=="{ "message": "Strategy id must be provided"}{ "message": "Missing credentials"}{ "message": "API key invalid or doesn't exist"}{ "message": "Internal server error"}